Name: hestiacp-php-selector
Summary: Utility for manage php cli for HestiaCP
Version: 0.1.0
Release: 1%{?dist}
License: GPL-2.0-or-later
Group: System Environment/Base
URL: https://www.inferit.ru
Source: %{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: golang
BuildRequires: git
Requires: alternatives

%undefine _missing_build_ids_terminate_build

%description
Utility for manage php cli for HestiaCP

%prep
%setup -q

%build
make build

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"
make DESTDIR=$RPM_BUILD_ROOT install
%{__mkdir} -p "$RPM_BUILD_ROOT"%{_sysconfdir}/hestia_php_selector/system/
touch "$RPM_BUILD_ROOT"%{_sysconfdir}/hestia_php_selector/system/lock
%{__mkdir} -p "$RPM_BUILD_ROOT"/usr/local/hestia_php_selector/
%{__install} -D -m 755 installer.sh "$RPM_BUILD_ROOT"/usr/local/hestia_php_selector/hestiacp_php_selector_installer

%check
make check

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"

%posttrans
if [ $1 -eq 1 ]; then
    /usr/local/hestia_php_selector/hestiacp_php_selector_installer install
fi

%postun
if [ $1 -eq 0 ]; then
    /usr/local/hestia_php_selector/hestiacp_php_selector_installer delete
fi


%files
%defattr(-,root,root)
%doc LICENSE
%attr(0755, root, root) %{_bindir}/hestiacp-php-selector
%attr(0755, root, root) %{_bindir}/hestiacp-php-admin
%{_sysconfdir}/hestia_php_selector/*
/usr/local/hestia_php_selector/*

%changelog
* Wed Aug 21 2024 Alexey Berezhok <a@bayrepo.ru> 0.1.0-1
- Added hestiacp-php-selector
